Imports Bricksoft
Imports Bricksoft.IM.IMBase


Public Class Form1
    Dim WithEvents myMSN As New Bricksoft.IM.MSN.MSNClient

    Delegate Sub SetTxtOutputCallback(ByVal [text] As String)

    Private Sub myLog(ByVal str As String)
        If txtLog.InvokeRequired Then
            Dim d As New SetTxtOutputCallback(AddressOf myLog)
            Me.Invoke(d, New Object() {str})
        Else
            txtLog.Text = str + vbCrLf + txtLog.Text
        End If
    End Sub

    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
    End Sub

    Private Sub cmdLogin_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmdLogin.Click
        myMSN.Account = txtEmail.Text
        myMSN.Password = txtPassword.Text
        myMSN.Login()
    End Sub

    Private Sub myMSN_OnError(ByVal sender As Object, ByVal errorMessage As String) Handles myMSN.OnError
        myLog(errorMessage)
    End Sub

    Private Sub myMSN_OnLog(ByVal sender As Object, ByVal log As String) Handles myMSN.OnLog
        myLog(log)
    End Sub

    Private Sub cmdLogout_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmdLogout.Click
        myMSN.Logout()
    End Sub

    Private Sub myMSN_OnReceiveBuddyList(ByVal sender As Object, ByVal e As System.EventArgs) Handles myMSN.OnReceiveBuddyList
        Dim o As System.Collections.DictionaryEntry
        Dim b As Bricksoft.IM.MSN.MSNBuddy

        For Each o In myMSN.BuddyList
            b = o.Value

            myLog(b.Email)
        Next
    End Sub
End Class
